---
obj: application
repo: https://github.com/casey/intermodal
---

# Intermodal
[Repo](https://github.com/casey/intermodal)
Intermodal is a user-friendly and featureful command-line [BitTorrent](../../internet/BitTorrent.md) metainfo utility. The binary is called `imdl` and runs on [Linux](../../linux/Linux.md), [Windows](../../windows/Windows.md), and [macOS](../../macos/macOS.md).

## Usage
### Create torrent file:
```shell
imdl torrent create file
```

Flags:
```shell
-N, --name <TEXT>     Set name of torrent
-i, --input <INPUT>   Torrent Files
-c, --comment <TEXT>  Torrent Comment
-a, --announce <URL>  Torrent Tracker
```

### Show torrent information
```shell
imdl torrent show <torrent>
```

### Verify torrent
```shell
imdl torrent verify <torrent>
imdl torrent verify --input torr.torrent --content file
```

### Generate magnet link
```shell
imdl torrent link <torrent>
```